%define vers	0.60
Summary:	Aspell is an Open Source spell checker
Name:		aspell
Version:	0.60.4
Release:	3
License:	LGPL
Group:		Libraries
Source0:	%{name}-%{version}.tar.gz
Source1:	aspell6-en-6.0-0.tar.bz2
Patch0:		aspell-0.60.4-fix-build.patch
URL:		http://aspell.sourceforge.net/
Provides:	ispell pspell
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aspell is an Open Source spell checker designed to eventually replace
Ispell. Its main feature is that it does a much better job of coming
up with possible suggestions than Ispell does. In fact recent tests
shows that it even does better than Microsoft Word 97's spell checker
in some cases. In addition it has both compile time and run time
support for other non English languages. Aspell also doubles as a
powerful C++ library with C and Perl interfaces in the works.

Aspell is a new drop in replacment of the old Ispell which both depend
on Pspell.

%package 	devel
Summary:	Libraries and header files for aspell development
Group:		Development
Provides:	ispell-devel pspell-devel

%description 	devel
Aspell is an Open Source spell checker.
Libraries and header files for aspell development.

%prep
%setup -q -a 1
%patch0 -p0

%build
%configure \
	--disable-nls \
	--without-included-gettext \
	--libdir=%{_libdir} \
	--enable-shared \
	--disable-static
make
cd aspell6*; configure; make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT pkgdatadir=%{_datadir}/aspell \
    libdir=%{_libdir} install
cd aspell6*; make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/doc
ln -sf aspell $RPM_BUILD_ROOT%{_bindir}/ispell
ln -sf aspell-%vers $RPM_BUILD_ROOT%{_libdir}/aspell
mv $RPM_BUILD_ROOT/usr/share/aspell/* $RPM_BUILD_ROOT/usr/lib/aspell-%vers
rmdir $RPM_BUILD_ROOT/usr/share/aspell
ln -sf ../lib/aspell $RPM_BUILD_ROOT/usr/share/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/aspell
%{_libdir}/aspell-%vers
%{_datadir}
#{_docdir}

%files	devel
%defattr (-,root,root)
%{_includedir}
#{_libdir}/*.a
